Name:           sc
Version:        1.4.0
Release:        1%{?dist}
Summary:        Shaper Control Tool

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://sourceforge.net/projects/sc-tool/
Source0:        http://citylan.dl.sourceforge.net/project/sc-tool/sc-tool/%{version}/%{name}-%{version}.tar.bz2
Source1:        sc.init
Source2:        sc.sysconfig
Patch0:         sc-1.3.3-conf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       perl-AppConfig
Requires:       perl-DBD-SQLite, perl-DBD-MySQL, perl-DBD-Pg

%description
Shape Control tool based on HTB


%prep
%setup -q
#%patch0 -p1 -b .conf


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 sc.conf $RPM_BUILD_ROOT%{_sysconfdir}/sc/sc.conf
install -D -m 755 sc $RPM_BUILD_ROOT%{_sbindir}/sc
install -D -m 755 genbase $RPM_BUILD_ROOT%{_sbindir}/genbase
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add sc


%preun
if [ $1 = 0 ]; then
    /sbin/service sc stop > /dev/null 2>&1
    /sbin/chkconfig --del sc
fi


%files
%defattr(-,root,root,-)
%doc README
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_initrddir}/%{name}
%{_sysconfdir}/sc/sc.conf
%{_sbindir}/*


%changelog
* Mon Dec 30 2013 Denis Frolov <d.frolov81@mail.ru> 1.4.0-1
- Update to 1.4.0

* Wed Mar 09 2011 Denis Frolov <d.frolov81@mail.ru> 1.3.3-1
- Initial build
